Subject: [secdir] Secdir review of draft-ietf-ospf-ipv4-embedded-ipv6-routing-09

From: Ben Laurie <[email-masked]>
Date: Fri, 5 Apr 2013 16:00:28 +0100

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

Summary: I-D is ready with potential nits.

Detail: as far as I can tell, this I-D does not introduce any new
mechanism and instead describes a particular configuration of existing
mechanisms. As such, it is hard for it to introduce security issues
that do not already exist. However, it is entirely possible the
document's advice is not optimal - I'm afraid my knowledge of IPv6 is
too limited to be a good judge of that.

The security considerations section does mention some potential
pitfalls, but it is hard to judge whether they are comprehensive, and
I would suggest they should be. I would advise the security ADs to
have it reviewed by an IPv6 security expert.